> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Firmware Alerts

> Returns the list of firmware alerts generated by a vehicle.



## OpenAPI

````yaml get /{vin}/firmware_alerts
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/firmware_alerts:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Vehicle Data
      summary: Get Firmware Alerts
      description: Returns the list of firmware alerts generated by a vehicle.
      operationId: get-firmware-alerts
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    results:
                      - timestamp: 1726683716
                        name: VCFRONT_a361_washerFluidLowMomentary
                        description: null
                        recent_fleet_count: 408452
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        timestamp:
                          type: integer
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        recent_fleet_count:
                          type: integer
              examples:
                Example 1:
                  value:
                    results:
                      - timestamp: 1726683716
                        name: VCFRONT_a361_washerFluidLowMomentary
                        description: null
                        recent_fleet_count: 123456
          description: Success
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````